// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: GreetingProvider.proto
#pragma warning disable 1591
#region Designer generated code

using System;
using System.Threading;
using System.Threading.Tasks;
using grpc = global::Grpc.Core;

namespace Sila2.Org.Silastandard.Examples.Greetingprovider.V1 {
  public static partial class GreetingProvider
  {
    static readonly string __ServiceName = "sila2.org.silastandard.examples.greetingprovider.v1.GreetingProvider";

    static readonly grpc::Marshaller<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Parameters> __Marshaller_SayHello_Parameters = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Parameters.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Responses> __Marshaller_SayHello_Responses = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Responses.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Parameters> __Marshaller_Get_StartYear_Parameters = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Parameters.Parser.ParseFrom);
    static readonly grpc::Marshaller<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Responses> __Marshaller_Get_StartYear_Responses = grpc::Marshallers.Create((arg) => global::Google.Protobuf.MessageExtensions.ToByteArray(arg), global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Responses.Parser.ParseFrom);

    static readonly grpc::Method<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Parameters, global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Responses> __Method_SayHello = new grpc::Method<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Parameters, global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Responses>(
        grpc::MethodType.Unary,
        __ServiceName,
        "SayHello",
        __Marshaller_SayHello_Parameters,
        __Marshaller_SayHello_Responses);

    static readonly grpc::Method<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Parameters, global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Responses> __Method_Get_StartYear = new grpc::Method<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Parameters, global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Responses>(
        grpc::MethodType.Unary,
        __ServiceName,
        "Get_StartYear",
        __Marshaller_Get_StartYear_Parameters,
        __Marshaller_Get_StartYear_Responses);

    /// <summary>Service descriptor</summary>
    public static global::Google.Protobuf.Reflection.ServiceDescriptor Descriptor
    {
      get { return global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.GreetingProviderReflection.Descriptor.Services[0]; }
    }

    /// <summary>Base class for server-side implementations of GreetingProvider</summary>
    public abstract partial class GreetingProviderBase
    {
      public virtual global::System.Threading.Tasks.Task<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Responses> SayHello(global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Parameters request, grpc::ServerCallContext context)
      {
        throw new grpc::RpcException(new grpc::Status(grpc::StatusCode.Unimplemented, ""));
      }

      public virtual global::System.Threading.Tasks.Task<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Responses> Get_StartYear(global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Parameters request, grpc::ServerCallContext context)
      {
        throw new grpc::RpcException(new grpc::Status(grpc::StatusCode.Unimplemented, ""));
      }

    }

    /// <summary>Client for GreetingProvider</summary>
    public partial class GreetingProviderClient : grpc::ClientBase<GreetingProviderClient>
    {
      /// <summary>Creates a new client for GreetingProvider</summary>
      /// <param name="channel">The channel to use to make remote calls.</param>
      public GreetingProviderClient(grpc::Channel channel) : base(channel)
      {
      }
      /// <summary>Creates a new client for GreetingProvider that uses a custom <c>CallInvoker</c>.</summary>
      /// <param name="callInvoker">The callInvoker to use to make remote calls.</param>
      public GreetingProviderClient(grpc::CallInvoker callInvoker) : base(callInvoker)
      {
      }
      /// <summary>Protected parameterless constructor to allow creation of test doubles.</summary>
      protected GreetingProviderClient() : base()
      {
      }
      /// <summary>Protected constructor to allow creation of configured clients.</summary>
      /// <param name="configuration">The client configuration.</param>
      protected GreetingProviderClient(ClientBaseConfiguration configuration) : base(configuration)
      {
      }

      public virtual global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Responses SayHello(global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return SayHello(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Responses SayHello(global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.BlockingUnaryCall(__Method_SayHello, null, options, request);
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Responses> SayHelloAsync(global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return SayHelloAsync(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Responses> SayHelloAsync(global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.SayHello_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.AsyncUnaryCall(__Method_SayHello, null, options, request);
      }
      public virtual global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Responses Get_StartYear(global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return Get_StartYear(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Responses Get_StartYear(global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.BlockingUnaryCall(__Method_Get_StartYear, null, options, request);
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Responses> Get_StartYearAsync(global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Parameters request, grpc::Metadata headers = null, DateTime? deadline = null, CancellationToken cancellationToken = default(CancellationToken))
      {
        return Get_StartYearAsync(request, new grpc::CallOptions(headers, deadline, cancellationToken));
      }
      public virtual grpc::AsyncUnaryCall<global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Responses> Get_StartYearAsync(global::Sila2.Org.Silastandard.Examples.Greetingprovider.V1.Get_StartYear_Parameters request, grpc::CallOptions options)
      {
        return CallInvoker.AsyncUnaryCall(__Method_Get_StartYear, null, options, request);
      }
      /// <summary>Creates a new instance of client from given <c>ClientBaseConfiguration</c>.</summary>
      protected override GreetingProviderClient NewInstance(ClientBaseConfiguration configuration)
      {
        return new GreetingProviderClient(configuration);
      }
    }

    /// <summary>Creates service definition that can be registered with a server</summary>
    /// <param name="serviceImpl">An object implementing the server-side handling logic.</param>
    public static grpc::ServerServiceDefinition BindService(GreetingProviderBase serviceImpl)
    {
      return grpc::ServerServiceDefinition.CreateBuilder()
          .AddMethod(__Method_SayHello, serviceImpl.SayHello)
          .AddMethod(__Method_Get_StartYear, serviceImpl.Get_StartYear).Build();
    }

  }
}
#endregion
